/* ===================================
Blinky230213.ino
Programm für ESP8266 , einfaches Blinkprogramm
Autoren: Janek Westphal, Claus Brell
Stand: 16.02.2023

Zum Einsatz im Rahmen der Schulkooperationen
 des FB Wirtschaftswissenschaften
Hochschule Niederhein



ESP8266 Node-MCU
Pinbelegung
              Antenne
FeuD---ADC   A0 | D0  GPIO16---LED
            RSV | D1  GPIO5
            RSV | D1  GPIO4
    GPIO10  SD3 | D1  GPIO0
    GPIO9   SD2 | D4  GPIO2 
            SD1 | 3V3 
            CMD | GND
            SD0 | D5  GPIO14
            CLK | D6  GPIO12
FeuG--------GND | D7  GPIO13
Feu+--------3V3 | D8  GPIO15
             EN | RX  GPIO3
            RST | TX  GPIO1
            GND | GND
            Vin | 3V3
      (RST)   UBatt   (FLASH)


ESP8266 D1 Mini
Pinbelegung
                  Antenne
                RST | TX  
Feu(analog)     A0  | RX  
        GPIO16  D0  | D1  GPIO5  LED+
        GPIO14  D5  | D2  GPIO4
        GPIO12  D6  | D3  GPIO0 
        GPIO13  D7  | D4  GPIO2 
        GPIO15  D8  | GND.       LED-, Feu(-)
Feu(+)          3V3 | 5V
          (RESET) UBatt   
========================================*/

// Nutzerbeglückung
// ESP32 LED an 32
// ESP8266 Node MCU SD03 oder D0=GPIO16
// ESP2866 D1Mini (AZ Delivery) D1=GPIO5 
// #define LED 16 // ESP32
#define LED 5 // D1 Mini



void setup()
{
    // Set pin mode
    pinMode(LED,OUTPUT);
    // lang (3s) leuchten zum Neustart
    blinky(1,3000);

    Serial.begin(9600);
    delay(100);
    Serial.print("Start");
}

void loop()
{
    /*  -------------------------------------------
        Schritt 0: blinken
        -------------------------------------------*/
    while (true){
        blinky(3,32);
        Serial.print(".");
        delay (3000);
    } // Ende while
   
} // Ende loop

/* ------------------------------
   eigene Funktionen
   ------------------------------*/

/* -------------------------------
   Funktion:
   blinky(Anzahl, Dauer LED an)
   Rückmeldung für den Nutzer
   -------------------------------*/
void blinky(int anzahl, int dauer){
  /* Die interne LED wird zur Signalisierung genutzt
     1 Sekunde - alles ok
     64 ms Blitz - ich arbeite
     5 * halbe Sekunde - etwas Schlimmes ist passiert
  */
  for (int i=0;i<anzahl;i++){
    digitalWrite(LED,HIGH);
    delay(dauer);
    digitalWrite(LED,LOW);
    if (anzahl>0) delay(500);
  } // Ende for   
} // Ende Funktion blinky ----------------------
